%global app_name YACReader

Name:           yacreader
Version:        9.5.0
Release:        6%{?dist}
Summary:        Cross platform comic reader and library manager

# The entire source code is GPLv3+ except:
# BSD:          QsLog
#               folder_model
# MIT:          pictureflow
License:        GPLv3+ and BSD and MIT
URL:            https://www.yacreader.com
Source0:        https://github.com/YACReader/%{name}/releases/download/%{version}/%{name}-%{version}-src.tar.xz
Patch0:         0001-Fix-YACReader-build-for-Qt-5.7.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  mesa-libGLU-devel
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(libunarr)
BuildRequires:  pkgconfig(poppler-qt5)

Requires:       hicolor-icon-theme

%description
Best comic reader and comic manager with support for .cbr .cbz .zip .rar comic
files.

%prep
%autosetup -p1
# wrong-file-end-of-line-encoding fix
sed -i 's/\r$//' INSTALL.md README.txt
# file-not-utf8 fix
iconv -f iso8859-1 -t utf-8 README.txt > README.txt.conv && mv -f README.txt.conv README.txt

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
%find_lang %{name} --with-qt
%find_lang %{name}library --with-qt

desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_name}Library.desktop

%files -f %{name}.lang -f %{name}library.lang
%doc CHANGELOG.md README.txt INSTALL.md
%license COPYING.txt
%{_bindir}/%{app_name}
%{_bindir}/%{app_name}Library
%{_datadir}/%{name}
%{_datadir}/applications/%{app_name}.desktop
%{_datadir}/applications/%{app_name}Library.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{app_name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{app_name}Library.svg
%{_mandir}/man1/%{app_name}.1.*
%{_mandir}/man1/%{app_name}Library.1.*

%changelog
* Fri Mar 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 9.5.0-6
- Initial package.
